TPL Version Compatibility

Trilinos relies on many Third Party Libraries (TPLs).  The following is a list of compatible versions for the most commonly used TPLs.

 Trilinos 12.6

  • SuperLU:  4.3
  • HDF5:  1.8.9, 1.8.12, 1.8.16, 1.8.17
  • NetCDF: 4.3.2, 4.3.3.1, 4.4.0
  • PNetCDF: 1.6.1
  • zlib: 1.2.8
  • Boost:  1.55.0, 1.58.0
  • yaml-cpp: 0.5.3